#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int N;
    double *A, *P, *maksimum;
    scanf("%li",&N);
    A = (double*)calloc(N,sizeof(double));
    P = (double*)calloc(N,sizeof(double));
    maksimum = (double*)calloc(N,sizeof(double));
    double maks, trenutniA = 0, trenutniP = 0;

    for(int i=0;i<N;i++)
        scanf("%lf %lf",&A[i],&P[i]);

    for(int i=0;i<N;i++){
        trenutniA = A[i];
        trenutniP = P[i];
        maksimum[i] = A[i];

        for(int j=0;j<N;j++){
            if(i != j && P[j] >= trenutniP)
                maksimum[i]+=A[j];
        }
        maksimum[i]*=trenutniP/100;
    }

    maks = maksimum[0];

    for(int i=0;i<N;i++)
        if(maksimum[i]>maks)
            maks = maksimum[i];

    printf("%.4lf\n",maks);

    return 0;
}